#include <iostream>
#include <list>
#include "listIOint.hh"
using namespace std;

typedef list<int> Li; 
typedef list<int>::iterator It; 


// ESTA OPERACION NO INVOLUCRA LA CREACIÓN NI DESTRUCCIÓN DE LOS ELEMENTOS DE t1, t2 y t12.
/* Pre: T1 = [x_1,...x_m], T2 = [y_1,...y_n] y T12 = [].
   Post: t1 = [], t2 = [] y t12 = [x_1,...x_m,y_1,...y_n].
   Coste: constante, i.e. O(1).
*/
void concatenar(Li& t1, Li& t2, Li& t12) {
  t12.splice(t12.end(), t1);
  t12.splice(t12.end(), t2);  
}



// ESTA OPERACION INVOLUCRA LA CREACIÓN Y DESTRUCCIÓN DE LOS ELEMENTOS DE t1, t2 y t12.
/* Pre: T1 = [x_1,...x_m], T2 = [y_1,...y_n] y T12 = [].
   Post: t1 = [], t2 = [] y t12 = [x_1,...x_m,y_1,...y_n].
   Coste: lineal en la suma de T1.size() y T2.size(), i.e. O(T1.size() + T2.size()).
*/
void concatenar_ie(Li& t1, Li& t2, Li& t12) {
  It i = t1.begin();
  // Coste while: O(T1.size())
  while (i != t1.end()) {
     t12.insert(t12.end(),*i);
     i = t1.erase(i); 
  }
  i = t2.begin();
  // Coste while: O(T2.size())
  while (i != t2.end()) {
     t12.insert(t12.end(),*i);
     i = t2.erase(i); 
  }
}


int main() {
  Li a1, a2, a12;
  lee(a1);
  lee(a2);
  //  concatenar(a1,a2,a12);
  concatenar_ie(a1,a2,a12);
  esc(a1);
  esc(a2); 
  esc(a12); 
}
