#include <iostream>
using namespace std; 


// No es necesario hacer en cada iteración todos los productos de la
// potencia y el factorial. Introducimos dos variables locales que
// contengan los valores correspondientes, de manera que sólo sea
// necesario inicializarlas y actualizarlas en cada iteración.

// Desarrollo de Taylor de e^x en el punto 0 hasta el término n-ésimo.

double taylor_exp_ef1(double x, int n) { 
/* Pre: n >= 0 */
/* Post: el resultado es la suma hasta el término n-ésimo de la serie
   de Taylor de e^x */
/* Cost: O(n) */  
  double r;
  if (x == 0) r = 1; 
  else {
    r = 1; 
    double p = 1; 
    int f = 1;
    int i = 1; 
    /* HI: r es la suma hasta el término (i-1)-ésimo de la serie de Taylor 
       de e^x, p = x^(i-1) y f = (i-1)! */
    /* Coste while: sum_{i=1...n} O(1) = O(n*1) = O(n), lineal en n. */
    while (i <= n) {
       p *= x;       // Coste cuerpo de while: constante, i.e. O(1)
       f *= i;
       r += p/f;
       ++i; 
    }
  }
  return r;
}

// El número de productos y de operaciones en total pasa a ser lineal
// con respecto a n


int main() {
  double x; 
  int n;
  cin >> x >> n;
  cout << taylor_exp_ef1(x,n) << endl; 
}
