#include <iostream>
using namespace std; 

// Se puede eliminar una de las variables locales, de modo que sólo
// haya una que contenga el nuevo término de cada iteración. 

// Desarrollo de Taylor de e^x en el punto 0 hasta el término n-ésimo.

double taylor_exp_ef2(double x, int n) 
/* Pre: n >= 0 */
/* Post: el resultado es la suma hasta el término n-ésimo de la serie
   de Taylor de e^x */
{
  double r;
  if (x == 0) r = 1; 
  else {
    r = 1;
    double ti = 1; 
    int i = 1; 
    /* HI: r es la suma hasta el término (i-1)-ésimo de la serie de Taylor 
       de e^x, ti = x^(i-1)/(i-1)!. */
    while (i <= n) {
       ti *= x;
       ti /= i;
       r += ti;
       ++i; 
    }
  }
  return r;
}

// El número de productos y de operaciones en total pasa a ser lineal
// con respecto a n

// Utilizando una sola variable, y dividiendo por i antes de
// multiplicar por x, se minimiza la probabilidad de obtener números
// demasiado grandes para ser representados con variables de tipo
// double.

int main() {
  double x; 
  int n;
  cin >> x >> n;
  cout << taylor_exp_ef2(x,n) << endl; 
}
